#### PyKDE - Python Bindings for KDE

# class KColorPatch |
Table of contents
Modules
kdeui Classes
All Classes

Module | kdeui
Class | KColorPatch
Inherits | QFrame

### methods

- KColorPatch (parent)

  returns a KColorPatch instance
  Argument | Type | Default
  --- | --- | ---
  parent | QWidget |

- colorChanged (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | QColor |

- dragEnterEvent (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | QDragEnterEvent |

- drawContents (painter)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  painter | QPainter |

- dropEvent (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | QDropEvent |

- mouseMoveEvent (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | QMouseEvent |

- setColor (col)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  col | QColor |